import { DropdownProps } from 'antd';
import React from 'react';
import { ItemType } from 'antd/lib/menu/hooks/useItems';
declare type IItemType = ItemType & {
    auth?: boolean;
};
export interface DropdownHoversProps extends DropdownProps {
    /** 需要传入的数据，类型添加auth属性，用来控制权限，ItemType & { auth?: boolean } */
    menuData: IItemType[];
    /** 自定义icon或者传入其他dom元素 */
    icon?: React.ReactElement;
    /** icon的属性,可以修改icon类型，大小等等 */
    iconProps?: any;
    /** hover样式自定义class */
    hoverClass?: string;
}
export {};
