var _excluded = ["errMsg", "errMsgConf", "infoConf", "type"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { Modal } from 'rlj-design';
import { ModalWrapper } from "./content";
import { StyleSheetManager } from 'styled-components';
import "./index.less";

var Basic = function Basic(props) {
  var errMsg = props.errMsg,
      errMsgConf = props.errMsgConf,
      infoConf = props.infoConf,
      type = props.type,
      rest = _objectWithoutProperties(props, _excluded);

  var modalConfirm = Modal.confirm(_objectSpread(_objectSpread({}, rest), {}, {
    icon: null,
    title: null,
    wrapClassName: 'sp-modal-confirm-wrap-class',
    content: /*#__PURE__*/React.createElement(StyleSheetManager, {
      disableCSSOMInjection: true
    }, /*#__PURE__*/React.createElement(ModalWrapper, {
      type: type,
      title: rest.title,
      content: rest.content,
      errMsg: errMsg,
      infoConf: infoConf,
      errMsgConf: errMsgConf,
      okProps: props.okProps,
      cancelProps: props.cancelProps,
      onCancel: function onCancel() {
        var _props$onCancel;

        modalConfirm.destroy();
        props === null || props === void 0 ? void 0 : (_props$onCancel = props.onCancel) === null || _props$onCancel === void 0 ? void 0 : _props$onCancel.call(props);
      },
      onOk: function onOk(a) {
        var _props$onOk;

        modalConfirm.destroy();
        props === null || props === void 0 ? void 0 : (_props$onOk = props.onOk) === null || _props$onOk === void 0 ? void 0 : _props$onOk.call(props, a);
      }
    }))
  }));
  return modalConfirm;
};

export { Basic };