var _excluded = ["okButtonProps", "okText", "cancelText", "content"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { Icon, Modal } from 'rlj-design';
import { error_color, PREFIX_CLS } from "../../constants/dictionary";
var prefixCls = "".concat(PREFIX_CLS, "-modal-style"); // ModalConfirm 删弹窗

var ConfirmDel = function ConfirmDel(_ref) {
  var okButtonProps = _ref.okButtonProps,
      _ref$okText = _ref.okText,
      okText = _ref$okText === void 0 ? '删除' : _ref$okText,
      _ref$cancelText = _ref.cancelText,
      cancelText = _ref$cancelText === void 0 ? '取消' : _ref$cancelText,
      content = _ref.content,
      rest = _objectWithoutProperties(_ref, _excluded);

  return Modal.confirm(_objectSpread({
    icon: /*#__PURE__*/React.createElement(Icon, {
      type: "closeAreality",
      style: {
        fontSize: 22,
        color: error_color,
        pointerEvents: 'none'
      }
    }),
    content: /*#__PURE__*/React.createElement("div", {
      className: "".concat(prefixCls, "-content")
    }, content),
    okButtonProps: _objectSpread({
      type: 'primary',
      danger: true,
      style: {
        background: error_color
      }
    }, okButtonProps),
    autoFocusButton: null,
    okText: okText,
    cancelText: cancelText
  }, rest));
};

export { ConfirmDel };