import React from 'react';
import { ModalFuncProps } from 'antd/lib/modal/Modal';
import './index.less';
export interface IModalErrorProps extends ModalFuncProps {
    errMsg?: React.ReactNode;
}
declare const ModalError: ({ content, errMsg, ...rest }: IModalErrorProps) => {
    destroy: () => void;
    update: (configUpdate: import("rlj-design").ModalFuncProps | ((prevConfig: import("rlj-design").ModalFuncProps) => import("rlj-design").ModalFuncProps)) => void;
};
export { ModalError };
