export var paginationDefault = {
  showSizeChanger: true,
  size: 'small',
  pageSizeOptions: ['30', '50', '100']
};
export var excelClassName = 'salary-box-box-box';
export var minItemWidth = 34;
export var foldWidth = 20;
export var foldKeySuffix = '_fold_base_key';
export var sorterWidth = 20;
export var extraIconWidth = 20;
export var infoWidth = 20;
export var maxHeight = 500;
export var needShowCaretValueType = ['selection', // 单选
'checkbox', // 多选
'date', // 日期
'customize', // 自定义
'address', // 地址
'org', // 部门组织
'emp', // 人员
'costCenter'];
export var dPickerMap = {
  org: 'dept',
  emp: 'person'
};
export var colDataInitData = function colDataInitData(width, height) {
  return {
    width: {},
    sort: {
      key: '',
      value: undefined,
      source: {}
    },
    fold: {},
    expand: [],
    expandData: {},
    changeDataSource: {},
    defaultItemWidth: width ? width > 22 ? width : 100 : 120,
    // 最小100, 默认120
    defaultItemHeight: height ? height > 32 ? height : 32 : 40,
    // 最小32, 默认40
    deleteDataRowIdArr: [],
    addDataRowIdArr: [],
    disableDate: {}
  };
};