function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import React, { isValidElement, useMemo, useRef, forwardRef } from 'react';
import SalaryExcel from "./SalaryExcel";
import isequalwith from 'lodash.isequalwith';
var App = /*#__PURE__*/forwardRef(function (props, ref) {
  var columns = props.columns,
      dataSource = props.dataSource;
  var columnsPreRef = useRef([]);
  var isHeaderChange = useMemo(function () {
    function customizer(objValue, othValue) {
      if ( /*#__PURE__*/isValidElement(othValue)) return true;
      if (othValue === objValue) return true;
      if (typeof othValue === 'function') return true;
      return undefined;
    }

    var newColNoChange = isequalwith(columnsPreRef.current, props.columns, customizer);
    if (newColNoChange) return ''; //columnsSource没有变化

    columnsPreRef.current = _toConsumableArray(props.columns);
    return Math.random() + '';
  }, [props.columns]);
  if (columns.length === 0) return null;
  return /*#__PURE__*/React.createElement("div", {
    className: props.className,
    style: {
      height: props.height
    }
  }, /*#__PURE__*/React.createElement(SalaryExcel, _extends({}, props, {
    columns: columns,
    dataSource: dataSource,
    isHeaderChange: isHeaderChange,
    isDataEmpty: dataSource.length === 0,
    ref: ref
  })));
});
export default App;
export * from "./Interface/index";
export { default as Ellipsis } from "./SalaryExcel/components/Ellipsis";